Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 587319 - updating selinux-policy causes traceback
updating selinux-policy causes traceback
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: policycoreutils (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-29 11:32 EDT by Jóhann B. Guðmundsson
Modified: 2010-05-18 17:45 EDT (History)
2 users (show)

See Also:
Fixed In Version: policycoreutils-2.0.82-18.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-18 17:45:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2010-04-29 11:32:27 EDT
Description of problem:

Updating       : selinux-policy-3.7.19-6.fc13.noarch                                                                                                2/20 
Traceback (most recent call last):
  File "/usr/bin/sepolgen-ifgen", line 128, in <module>
    sys.exit(main())
  File "/usr/bin/sepolgen-ifgen", line 105, in main
    attrs = get_attrs()
  File "/usr/bin/sepolgen-ifgen", line 64, in get_attrs
    policy_path = selinux.selinux_binary_policy_path() + "." + str(selinux.security_policyvers())


Version-Release number of selected component (if applicable):

selinux-policy-3.7.19-6.fc13.noarch

How reproducible:

Atleast once ;) 

Steps to Reproduce:
1. Run yum -y update from cli
2.
3.
  
Actual results:

The above

Expected results:

Selinux policy updating without errors. 

Additional info:
Comment 1 Jóhann B. Guðmundsson 2010-04-29 11:33:19 EDT
Last line was missing from my copy/paste

--> OSError: [Errno 2] No such file or directory
Comment 2 Daniel Walsh 2010-04-29 14:05:22 EDT
Fixed in policycoreutils-2.0.82-12.fc13
Comment 3 Fedora Update System 2010-05-11 16:34:13 EDT
policycoreutils-2.0.82-17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13
Comment 4 Fedora Update System 2010-05-12 08:20:14 EDT
policycoreutils-2.0.82-17.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-17.fc13
Comment 5 Fedora Update System 2010-05-15 16:19:30 EDT
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update policycoreutils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/policycoreutils-2.0.82-18.fc13
Comment 6 Fedora Update System 2010-05-18 17:45:15 EDT
policycoreutils-2.0.82-18.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.